meta-google: gbmc-update: Missing bootfile_url is not an error

We should complete the DHCP process even if we don't receive a bootfile
payload.

Change-Id: I77c45920fda2bcaa732b546f48c5d247c903268f
Signed-off-by: William A. Kennington III <wak@google.com>
diff --git a/meta-google/recipes-phosphor/flash/gbmc-update/40-gbmc-upgrade.sh b/meta-google/recipes-phosphor/flash/gbmc-update/40-gbmc-upgrade.sh
index 0124e38..ec9e06d 100644
--- a/meta-google/recipes-phosphor/flash/gbmc-update/40-gbmc-upgrade.sh
+++ b/meta-google/recipes-phosphor/flash/gbmc-update/40-gbmc-upgrade.sh
@@ -18,7 +18,7 @@
 : "${GBMC_UPGRADE_SIG=/tmp/bmc.sig}"
 
 gbmc_upgrade_hook() {
-  [ -n "${bootfile_url-}" ] || return
+  [ -n "${bootfile_url-}" ] || return 0
 
   local tmpdir
   tmpdir="$(mktemp -d)" || return